- Main Page
- Modules
- Namespaces
- Classes
- Files

# enums.h File Reference

`#include <glibmm.h>`
`#include <gst/gstminiobject.h>`
`#include <gst/gstelement.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
## Enumerations
enum | Gst::MiniObjectFlags { Gst::MINI_OBJECT_FLAG_READONLY = 1<<0, Gst::MINI_OBJECT_FLAG_LAST = 1<<4 }
| Bitwise operators: `MiniObjectFlags operator|(MiniObjectFlags, MiniObjectFlags)` `MiniObjectFlags operator&(MiniObjectFlags, MiniObjectFlags)` `MiniObjectFlags operator^(MiniObjectFlags, MiniObjectFlags)` `MiniObjectFlags operator~(MiniObjectFlags)` `MiniObjectFlags& operator|=(MiniObjectFlags&, MiniObjectFlags)` `MiniObjectFlags& operator&=(MiniObjectFlags&, MiniObjectFlags)` `MiniObjectFlags& operator^=(MiniObjectFlags&, MiniObjectFlags)` More...
enum | Gst::State { Gst::STATE_VOID_PENDING, Gst::STATE_NULL, Gst::STATE_READY, Gst::STATE_PAUSED, Gst::STATE_PLAYING }
enum | Gst::TCPProtocol { Gst::TCP_PROTOCOL_NONE, Gst::TCP_PROTOCOL_GDP }
## Functions
MiniObjectFlags | Gst::operator| (MiniObjectFlags lhs, MiniObjectFlags rhs)
MiniObjectFlags | Gst::operator& (MiniObjectFlags lhs, MiniObjectFlags rhs)
MiniObjectFlags | Gst::operator^ (MiniObjectFlags lhs, MiniObjectFlags rhs)
MiniObjectFlags | Gst::operator~ (MiniObjectFlags flags)
MiniObjectFlags& | Gst::operator|= (MiniObjectFlags& lhs, MiniObjectFlags rhs)
MiniObjectFlags& | Gst::operator&= (MiniObjectFlags& lhs, MiniObjectFlags rhs)
MiniObjectFlags& | Gst::operator^= (MiniObjectFlags& lhs, MiniObjectFlags rhs)